> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.idenfy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List registry center checks



## OpenAPI

````yaml /openapi/kyb.yaml get /api/v2/registry-center-checks/
openapi: 3.1.0
info:
  title: iDenfy IVS Core API
  version: 0.0.0
  description: iDenfy Identity Verification Service's Core API documentation.
  contact:
    name: API Support
    url: https://idenfy-ivs.atlassian.net/servicedesk/customer/portal/1/group/-1
  x-logo:
    url: /static/idenfy_logo.svg
    altText: iDenfy logo
servers:
  - url: https://ivs.idenfy.com
security: []
tags:
  - name: KYB Token
    description: KYB token endpoints to begin KYB flow.
  - name: KYB Forms
    description: Endpoints for KYB form actions.
  - name: KYB Documents
    description: KYB documents CRUD endpoints for the KYB form.
  - name: Beneficiaries
    description: Beneficiaries CRUD endpoints for the KYB form.
  - name: KYB Questionnaires
    description: KYB questionnaires endpoints.
  - name: Companies
    description: Endpoints for actions with companies.
  - name: Credit Bureau
    description: Endpoints for actions with credit bureau documents.
  - name: GOV Registers
    description: Endpoints for actions with GOV registers documents.
  - name: GOV Orders
    description: Endpoints for actions with GOV ordered documents.
  - name: SOS Reports
    description: Endpoints for actions with SOS filing documents.
  - name: Webhooks
    description: Webhooks.
  - name: Registry Center Checks
    description: Registry center check endpoints.
externalDocs:
  description: For other/more docs on iDenfy services visit our main documentation page.
  url: https://documentation.idenfy.com
paths:
  /api/v2/registry-center-checks/:
    get:
      tags:
        - Registry Center Checks
      summary: List registry center checks
      operationId: registryCenterChecksList
      parameters:
        - in: query
          name: checkedFields
          schema:
            type: array
            items:
              type: string
              enum:
                - address
                - address1
                - address2
                - city
                - date_of_birth
                - dob
                - email
                - first_name
                - gender
                - id_num
                - last_name
                - marital_status
                - middle_name
                - phone
                - state
                - yob
                - zip
          explode: true
          style: form
        - in: query
          name: clientId
          schema:
            type: string
        - in: query
          name: created
          schema:
            type: array
            items:
              type: string
              format: date-time
          description: Multiple values may be separated by commas.
          explode: false
          style: form
        - in: query
          name: databases
          schema:
            type: array
            items:
              type: string
              enum:
                - UK
                - US_1
                - US_15
                - US_4
          description: A list of comma separated values
          explode: true
          style: form
        - in: query
          name: id
          schema:
            type: string
            format: uuid
        - in: query
          name: name
          schema:
            type: string
        - in: query
          name: orderBy
          schema:
            type: array
            items:
              type: string
              enum:
                - '-created'
                - created
          description: Ordering
          explode: false
          style: form
        - in: query
          name: partnerIn
          schema:
            type: array
            items:
              type: integer
          description: A list of ids, comma separated, identifying partners
          explode: true
          style: form
        - in: query
          name: partnerNotIn
          schema:
            type: array
            items:
              type: integer
          description: A list of ids, comma separated, identifying partners
          explode: true
          style: form
        - in: query
          name: status
          schema:
            type: string
            enum:
              - MATCH
              - NO_DATA
              - NO_MATCH
              - PARTIAL_MATCH
        - in: query
          name: surname
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RegistryCenterCheck'
          description: ''
      security:
        - apiKeyPair: []
components:
  schemas:
    RegistryCenterCheck:
      oneOf:
        - $ref: '#/components/schemas/LithuaniaRegistryCenterCheck'
        - $ref: '#/components/schemas/HungaryRegistryCenterCheck'
        - $ref: '#/components/schemas/UkRegistryCenterCheck'
        - $ref: '#/components/schemas/UsRegistryCenterCheck'
      discriminator:
        propertyName: database
        mapping:
          LT:
            $ref: '#/components/schemas/LithuaniaRegistryCenterCheck'
          HU:
            $ref: '#/components/schemas/HungaryRegistryCenterCheck'
          UK:
            $ref: '#/components/schemas/UkRegistryCenterCheck'
          US_15:
            $ref: '#/components/schemas/UsRegistryCenterCheck'
    LithuaniaRegistryCenterCheck:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        checkedPersonalNumber:
          type: string
          maxLength: 30
        checkedDocumentType:
          type: string
          nullable: true
          maxLength: 2
        personalNumber:
          type: string
          readOnly: true
          nullable: true
        name:
          type: string
          readOnly: true
          nullable: true
        surname:
          type: string
          readOnly: true
          nullable: true
        documentNumber:
          type: string
          readOnly: true
          nullable: true
        documentExpiration:
          type: string
          format: date
          readOnly: true
          nullable: true
        facePhoto:
          type: string
          format: uri
          readOnly: true
          nullable: true
          description: Face photo from a document.
        database:
          $ref: '#/components/schemas/DatabaseEnum'
        clientId:
          type: string
          nullable: true
          maxLength: 100
      required:
        - checkedPersonalNumber
        - database
        - documentExpiration
        - documentNumber
        - facePhoto
        - id
        - name
        - personalNumber
        - surname
    HungaryRegistryCenterCheck:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        checkedMrz:
          type: string
          maxLength: 100
        firstName:
          type: string
          readOnly: true
          nullable: true
        lastName:
          type: string
          readOnly: true
          nullable: true
        maidenName:
          type: string
          readOnly: true
          nullable: true
        mothersMaidenName:
          type: string
          readOnly: true
          nullable: true
        birthDate:
          type: string
          format: date
          readOnly: true
          nullable: true
        birthPlace:
          type: string
          readOnly: true
          nullable: true
        address:
          type: object
          additionalProperties: {}
          readOnly: true
        residentialAddress:
          type: object
          additionalProperties: {}
          readOnly: true
        nationality:
          allOf:
            - $ref: '#/components/schemas/CountryEnum'
          readOnly: true
          nullable: true
        idCard:
          type: object
          additionalProperties: {}
          readOnly: true
        passport:
          type: object
          additionalProperties: {}
          readOnly: true
        additionalData:
          type: object
          additionalProperties: {}
          readOnly: true
        database:
          $ref: '#/components/schemas/DatabaseEnum'
        clientId:
          type: string
          nullable: true
          maxLength: 100
      required:
        - additionalData
        - address
        - birthDate
        - birthPlace
        - checkedMrz
        - database
        - firstName
        - id
        - idCard
        - lastName
        - maidenName
        - mothersMaidenName
        - nationality
        - passport
        - residentialAddress
    UkRegistryCenterCheck:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        database:
          $ref: '#/components/schemas/DatabaseEnum'
        clientId:
          type: string
          nullable: true
          maxLength: 100
        firstName:
          type: string
          maxLength: 255
        lastName:
          type: string
          maxLength: 255
        dateOfBirth:
          type: string
          format: date
        address: a95b5733-62d1-46ab-9db3-6583287cd187
        firstNameStatus:
          allOf:
            - b94b2336-7e5e-4a6a-ac07-826ba70c95f2
          readOnly: true
        lastNameStatus:
          allOf:
            - 2799f945-a15d-471c-bd3b-3aaea42759ec
          readOnly: true
        dateOfBirthStatus:
          allOf:
            - f845bc6c-e844-4502-98a8-24a74a39a8ba
          readOnly: true
        addressStatus:
          allOf:
            - 77fc0f9e-3475-44a1-bd44-dbc83ecd4703
          readOnly: true
        addressStatusScore:
          type: number
          format: double
          readOnly: true
      required:
        - address
        - addressStatus
        - addressStatusScore
        - database
        - dateOfBirth
        - dateOfBirthStatus
        - firstName
        - firstNameStatus
        - id
        - lastName
        - lastNameStatus
    UsRegistryCenterCheck:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        database:
          $ref: '#/components/schemas/DatabaseEnum'
        clientId:
          type: string
          nullable: true
          maxLength: 100
        firstName:
          type: string
          maxLength: 100
        lastName:
          type: string
          maxLength: 100
        middleName:
          type: string
          nullable: true
          maxLength: 100
        dob:
          type: string
          format: date
          nullable: true
        yob:
          type: integer
          maximum: 2050
          minimum: 1901
          nullable: true
        address1:
          type: string
          nullable: true
          maxLength: 255
          minLength: 1
        address2:
          type: string
          nullable: true
          maxLength: 255
          minLength: 1
        city:
          type: string
          nullable: true
          maxLength: 100
          minLength: 2
        state:
          type: string
          nullable: true
          maxLength: 2
        zip:
          type: string
          nullable: true
          pattern: ^[0-9]*$
          maxLength: 10
        idNum:
          type: string
          nullable: true
          maxLength: 9
        phone:
          type: string
          nullable: true
          maxLength: 128
          minLength: 10
        email:
          type: string
          format: email
          nullable: true
          maxLength: 254
        firstNameStatus:
          allOf:
            - 79e02c87-3a61-4792-a2c1-9ea1ad1ccaab
          readOnly: true
          nullable: true
        lastNameStatus:
          allOf:
            - 79e02c87-3a61-4792-a2c1-9ea1ad1ccaab
          readOnly: true
          nullable: true
        middleNameStatus:
          allOf:
            - 79e02c87-3a61-4792-a2c1-9ea1ad1ccaab
          readOnly: true
          nullable: true
        dobStatus:
          allOf:
            - 79e02c87-3a61-4792-a2c1-9ea1ad1ccaab
          readOnly: true
          nullable: true
        yobStatus:
          allOf:
            - 79e02c87-3a61-4792-a2c1-9ea1ad1ccaab
          readOnly: true
          nullable: true
        address1Status:
          allOf:
            - 79e02c87-3a61-4792-a2c1-9ea1ad1ccaab
          readOnly: true
          nullable: true
        address2Status:
          allOf:
            - 79e02c87-3a61-4792-a2c1-9ea1ad1ccaab
          readOnly: true
          nullable: true
        cityStatus:
          allOf:
            - 79e02c87-3a61-4792-a2c1-9ea1ad1ccaab
          readOnly: true
          nullable: true
        stateStatus:
          allOf:
            - 79e02c87-3a61-4792-a2c1-9ea1ad1ccaab
          readOnly: true
          nullable: true
        zipStatus:
          allOf:
            - 79e02c87-3a61-4792-a2c1-9ea1ad1ccaab
          readOnly: true
          nullable: true
        idNumStatus:
          allOf:
            - 79e02c87-3a61-4792-a2c1-9ea1ad1ccaab
          readOnly: true
          nullable: true
        phoneStatus:
          allOf:
            - 79e02c87-3a61-4792-a2c1-9ea1ad1ccaab
          readOnly: true
          nullable: true
        emailStatus:
          allOf:
            - 79e02c87-3a61-4792-a2c1-9ea1ad1ccaab
          readOnly: true
          nullable: true
      required:
        - address1Status
        - address2Status
        - cityStatus
        - database
        - dobStatus
        - emailStatus
        - firstName
        - firstNameStatus
        - id
        - idNumStatus
        - lastName
        - lastNameStatus
        - middleNameStatus
        - phoneStatus
        - stateStatus
        - yobStatus
        - zipStatus
    DatabaseEnum:
      enum:
        - LT
        - HU
        - UK
        - US_15
      type: string
    CountryEnum:
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CK
        - CR
        - CI
        - HR
        - CU
        - CW
        - CY
        - CZ
        - CD
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - XK
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - KP
        - MK
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - KR
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - UM
        - US
        - UY
        - UZ
        - VU
        - VA
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
      type: string
  securitySchemes:
    apiKeyPair:
      type: http
      scheme: basic
      description: >-
        The request must contain basic auth headers where username is *API key*
        and password is *API secret*.<br>

        In order for you to start using our API you will need an **API key** and
        **API secret**.<br>

        Both can be retrieved by contacting *iDenfy's support* or *iDenfy's
        sales team*.

````